import React from 'react';
import PropTypes from 'prop-types';

class ErrorBoundary extends React.Component {
	static getDerivedStateFromError(error) {
		return { hasError: true, error };
	}
	constructor(props) {
		super(props);
		this.state = { hasError: false };
	}

	render() {
		const { error, hasError } = this.state;
		const { children } = this.props;
		if (hasError) {
			console.log(error);
			// You can render any custom fallback UI
			return <h1>Something went wrong. </h1>;
		}

		return children;
	}
}
ErrorBoundary.propTypes = {
	children: PropTypes.any,
};
export default ErrorBoundary;
